{% extends 'base.html.twig' %}

{% block icon %}fa fa-table{% endblock %}
{% block title %}Règles documentaires{% endblock %}
{% block breadcrumb %}
    <li>Référentiel archivage</li>
    <li class="active">Règles documentaires</li>
{% endblock %}

{% block body %}
    <div class="container btn-separator">
        {% if can_access('app_document_rule_add') %}
            <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('app_document_rule_add') }}"
                data-title="Créer une règle documentaire"
                data-table="#{{ table.id() }}"
            >
                <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
                Créer une règle documentaire
            </button>
        {% endif %}

        {% if can_access('app_document_rule_import_csv1') %}
            {% if import_session is not empty %}
                <a
                    class="btn btn-warning"
                    href="{{ url('app_document_rule_import_csv3', {username: app.user.username ?? null, tenant_url: app.request.get('tenant_url')}) }}"
                >
                    <i class="fa fa-upload fa-space" aria-hidden="true"></i>
                    Continuer l'import d'un fichier CSV
                </a>
            {% else %}
                <button
                    type="button"
                    class="btn btn-success"
                    data-modal="ajax"
                    data-url="{{ url('app_document_rule_import_csv1') }}"
                    data-title="Importer à partir d'un fichier CSV"
                    data-table="#{{ table.id() }}"
                    data-btn-accept-content="{{ '<i class="fa fa-right-long" aria-hidden="true"></i><span>Etape 2</span>'|escape('html') }}"
                >
                    <i class="fa fa-upload fa-space" aria-hidden="true"></i>
                    Importer à partir d'un fichier CSV
                </button>
            {% endif %}
        {% endif %}

        {% if can_access('app_document_rule_import1') %}
            <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('app_document_rule_import1') }}"
                data-title="Importer des règles documentaires"
                data-table="#{{ table.id() }}"
                data-btn-accept-content="{{ '<i class="fa fa-right-long" aria-hidden="true"></i><span>Etape 2</span>'|escape('html') }}"
            >
                <i class="fa fa-upload fa-space" aria-hidden="true"></i>
                Importer des règles documentaires
            </button>
        {% endif %}

        {% if can_access('app_document_rule_export') %}
            <a href="{{ url('app_document_rule_export', app.request.query.all) }}" download="export_document_rules.refae" target="_blank" class="btn btn-primary">
                <i class="fa fa-download fa-space" aria-hidden="true"></i>Exporter les éléments publiés
            </a>
        {% endif %}
    </div>

    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des règles documentaires"
        }
    ) }}

    <section class="container text-right">
        <a href="{{ url('app_document_rule_csv', app.request.query.all) }}" data-link-download-csv="%s_document_rule.csv" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Télécharger au format CSV
        </a>
    </section>

{% endblock %}

{% block bottomScript %}
{#    TODO: faire un template #}
    <script>
        $(function() {
            let table = $('#{{ table.id() }}');
            let generator = table.data('tableGenerator');
            table.on(
                'modal_form_success',
                (event, content, jqXHR) => {
                    let previousVersionId = jqXHR.getResponseHeader('X-Asalae-PreviousVersionId');
                    if (previousVersionId) {
                        generator.removeDataId(previousVersionId);
                        generator.decrementPaginator(table.closest('section').find('.pagination-counters'));
                        generator.generateAll();
                    }
                }
            );
        });
    </script>
{% endblock %}
